View Issue Details

IDProjectCategoryView StatusLast Update
0003547Slicer4Module Markupspublic2018-05-30 00:13
ReporterblowekampAssigned Tonicole 
PrioritynormalSeveritymajorReproducibilityalways
Status assignedResolutionfixed 
Product Version 
Target VersionbacklogFixed in VersionSlicer 4.4.0 
Summary0003547: With image space large ~>10, markups are too small to see in 3D.
Description

We have images whose pixel spacing size goes over 100 units (nm). The markups 3D glyphs are too small to see in 3D with this large image spacing. They appear invisible.

Additional Information

http://slicer-devel.65872.n3.nabble.com/Marks-ups-scale-issue-tt4030577.html#none

Perhaps one solution is to adjust the range of the scale slider.

TagsNo tags attached.

Relationships

related to 0003713 assignednicole landmark size in 3D view not consistant with 2D views 

Activities

nicole

nicole

2014-01-08 05:38

administrator   ~0010490

See if can extend the range of the scale sliders to work with current volume spacing (check for clamping).
Another option is to provide an entry box to reset the maximum size manually, but that would be another display parameter to track.

nicole

nicole

2014-01-08 09:10

administrator   ~0010493

Would it work well enough to only expand the maximum scale settings on entry of the Markups module?

My first implementation was checking each time the widget was updated from mrml, but that's happening often and the logic is a bit tricky to restrict the scale max update - the correct way to do it would be to add an observation on the current volume node and check for spacing changes, but that involves a lot of book keeping.

So I'll work from the assumption of this workflow: a volume is loaded with spacing N, a markup is added and is too small, the user goes to the markups module and can now set the glyph scale to a useful value.

I also added checks that will increase the maximum if a fiducial list is loaded/modified to use a scale larger than the current scale slider max.

I'm using a scale factor of 5.0 x the maximum slice spacing - let me know if that works for you.

Here's the current state:
https://github.com/naucoin/Slicer/commits/3547-match-markups-scale-to-volume-spacing

blowekamp

blowekamp

2014-01-08 10:25

developer   ~0010495

That sound like it should work. I think 10x spacing for the max should work better.

nicole

nicole

2014-01-08 10:52

administrator   ~0010496

Updated the git topic branch, will integrate to the trunk as soon as possible.

nicole

nicole

2014-01-09 13:49

administrator   ~0010501

Pull request:
https://github.com/Slicer/Slicer/pull/94

nicole

nicole

2014-03-03 13:29

administrator   ~0010668

Commited as svn 22919:
http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=22919

blowekamp

blowekamp

2014-03-04 09:31

developer   ~0010678

Here is a sample volume:
http://placid.nlm.nih.gov/folder/286

The image above is 1005x1004x296 with spacing of 3x3x3.

I think I naively simplified this problem to just spacing. It may be better categorized by a "wide field of view". For the above image I can scale the 3D fiducial to 30X and it'll look OK, but then the 2D fiducial is too large.

2014-03-04 09:36

 

FiducialScaling.tiff (1,263,120 bytes)
lassoan

lassoan

2018-05-30 00:13

developer   ~0015800

Retarget stale issues to backlog.

Related Changesets

Import 2017-06-07 23:51:09: master e395c8ca

2014-03-03 18:26:58

naucoin

Details Diff
ENH: adjust the scale slider widgets to volume slice spacing

On entry to the Markups module, check for a background volume
in the red slice viewer, get the slice spacing and adjust
the scale slider maximum values by a scale factor times
the maximum slice spacing.
Round the max scale to the nearest 10 when resetting it from volume
spacing.
Also ensure that if the module is entered with scale values
on the display node that are larger than the slider maximums
that the sliders are adjusted.
Also works for the default settings being larger than slider
maximums.
Set the scale factor to 10 to allow for large markups on
widely spaced volumes.

Issue 0003547



git-svn-id: http://svn.slicer.org/Slicer4/trunk@22919 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Modules/Loadable/Markups/qSlicerMarkupsModuleWidget.cxx Diff File
mod - Modules/Loadable/Markups/qSlicerMarkupsModuleWidget.h Diff File

Issue History

Date Modified Username Field Change
2014-01-08 04:42 blowekamp New Issue
2014-01-08 04:42 blowekamp Status new => assigned
2014-01-08 04:42 blowekamp Assigned To => nicole
2014-01-08 05:38 nicole Note Added: 0010490
2014-01-08 09:10 nicole Note Added: 0010493
2014-01-08 09:58 nicole Status assigned => feedback
2014-01-08 10:25 blowekamp Note Added: 0010495
2014-01-08 10:52 nicole Note Added: 0010496
2014-01-08 10:52 nicole Status feedback => assigned
2014-01-09 13:49 nicole Note Added: 0010501
2014-03-03 13:29 nicole Note Added: 0010668
2014-03-03 13:29 nicole Status assigned => resolved
2014-03-03 13:29 nicole Fixed in Version => Slicer 4.4.0
2014-03-03 13:29 nicole Resolution open => fixed
2014-03-04 09:31 blowekamp Note Added: 0010678
2014-03-04 09:36 blowekamp File Added: FiducialScaling.tiff
2014-03-06 05:13 nicole Status resolved => assigned
2015-01-07 06:01 nicole Relationship added related to 0003713
2017-06-10 08:51 Changeset attached => Slicer master e395c8ca
2018-05-30 00:13 lassoan Target Version => backlog
2018-05-30 00:13 lassoan Note Added: 0015800